import { jsx } from "react/jsx-runtime";
import { Screwdriver as Screwdriver$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Screwdriver = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Screwdriver", ...props, children: /* @__PURE__ */ jsx(Screwdriver$1, { weight: variant }) });
  }
);
Screwdriver.displayName = "Screwdriver";
Object.assign(Screwdriver, { isGdsIcon: true });
export {
  Screwdriver
};
